org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTFunctionTryBlockDeclarator

All Superinterfaces:
  IASTAttributeOwner, IASTDeclarator, IASTFunctionDeclarator, IASTNameOwner, IASTNode, IASTStandardFunctionDeclarator, ICPPASTDeclarator, ICPPASTFunctionDeclarator

Deprecated.

    @Deprecated
    public interface ICPPASTFunctionTryBlockDeclarator
    extends ICPPASTFunctionDeclarator

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDeclarator

`ICPPASTFunctionDeclarator.RefQualifier`

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `CATCH_HANDLER` Deprecated. A `CATCH_HANDLER` is the role of an ICPPASTCatchHandler in this interface.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDeclarator

`CONSTRUCTOR_CHAIN_MEMBER, EXCEPTION_TYPEID, NO_EXCEPTION_SPECIFICATION, NO_VIRT_SPECIFIERS, NOEXCEPT_DEFAULT, NOEXCEPT_EXPRESSION, TRAILING_RETURN_TYPE, VIRT_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStandardFunctionDeclarator

`FUNCTION_PARAMETER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`DECLARATOR_NAME, EMPTY_DECLARATOR_ARRAY, INITIALIZER, NESTED_DECLARATOR, POINTER_OPERATOR`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addCatchHandler(ICPPASTCatchHandler statement)` Deprecated. Add a catch handler.
`ICPPASTFunctionTryBlockDeclarator` `copy()` Deprecated. Returns a mutable copy of the tree rooted at this node.
`ICPPASTCatchHandler[]` `getCatchHandlers()` Deprecated. Get catch handlers.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDeclarator

`addConstructorToChain, addExceptionSpecificationTypeId, addVirtSpecifier, copy, getConstructorChain, getExceptionSpecification, getFunctionScope, getNoexceptExpression, getParameters, getRefQualifier, getTrailingReturnType, getVirtSpecifiers, isConst, isFinal, isMutable, isOverride, isPureVirtual, isVolatile, setConst, setEmptyExceptionSpecification, setFinal, setMutable, setNoexceptExpression, setOverride, setPureVirtual, setRefQualifier, setTrailingReturnType, setVirtSpecifiers, setVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTStandardFunctionDeclarator

`addParameterDeclaration, setVarArgs, takesVarArgs`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`addPointerOperator, getInitializer, getName, getNestedDeclarator, getPointerOperators, setInitializer, setName, setNestedDeclarator`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTDeclarator

`declaresParameterPack, setDeclaresParameterPack`

### Field Detail

#### CATCH_HANDLER

    static final ASTNodeProperty CATCH_HANDLER

Deprecated.
A `CATCH_HANDLER` is the role of an ICPPASTCatchHandler in this interface.

### Method Detail

#### addCatchHandler

    void addCatchHandler(ICPPASTCatchHandler statement)

Deprecated.
Add a catch handler.

Parameters:
  `statement` - `ICPPASTCatchHandler`

#### getCatchHandlers

    ICPPASTCatchHandler[] getCatchHandlers()

Deprecated.
Get catch handlers.

Returns:
  `ICPPASTCatchHandler`

#### copy

    ICPPASTFunctionTryBlockDeclarator copy()

Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclarator`
Specified by:
  `copy` in interface `IASTFunctionDeclarator`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStandardFunctionDeclarator`
Specified by:
  `copy` in interface `ICPPASTFunctionDeclarator`
Since:
  5.1